Configuration

The Configuration service handles settings for currency, sales channels, application stores, languages, staff users, brands, build configurations, and more, offering comprehensive customization options for the platform.

Currency

Sellers can allow customers to pay in their local currency on the storefront sales channel. When a customer selects a currency, all prices on the storefront and checkout are automatically converted to that currency. Sellers can enable the currencies that they want to offer to customers from sales channel settings. You can use this resource to get the list of all currencies available in the sales channel along with the configuration associated with the sales channel.

Operations
GET
/service/application/configuration/v1.0/currencies
# List currencies
GET
/service/application/configuration/v1.0/currency/{id}
# Get a currency
GET
/service/application/configuration/v1.0/currency
# Get currency configuration
GET

List currencies

List available currencies.
Parameters
No Parameters
GET
/service/application/configuration/v1.0/currencies
Loading...
Response
200
Success. Check the example shown below or refer `CurrenciesResponse` for more details.
Hide
A response object containing a list of currencies.
items
array of object (Currency)
A list of currency objects. Each object represents a different currency.
Show
Examples
Parameters
Parameters are not required.
Response
Loading...
GET

Get a currency

Get details of the currency.
Parameters
idpath
string
Required
ID assigned to the currency.
GET
/service/application/configuration/v1.0/currency/{id}
Loading...
Response
200
Success. Check the example shown below or refer `Currency` for more details.
Hide
Details about the currency supported by the sales channel, including its ID, name, code, and other attributes.
_id
string
The unique identifier of the current sales channel supported currency.
is_active
boolean
Shows currency is enabled or not in current sales channel.
name
string
Name of the currency, e.g Indian Rupee.
code
string
3-character currency code, e.g. INR, USD, EUR.
created_at
string
| date-time
ISO 8601 timestamp of sales channel support currency creation.
modified_at
string
| date-time
ISO 8601 timestamp of sales channel support currency updation.
decimal_digits
integer
| int32
Acceptable decimal limits for a given currency, e.g. 1.05$ means upto 2 decimal digits can be accepted as a valid value of a currency.
symbol
string
Unique symbol for identifying the currency, e.g. ₹.
country_name
string
Country name.
country_code
string
Country code.
Examples
Parameters
id:
"5bc8a62e21d33c25ebbfd6d3"
Response
Loading...
GET

Get currency configuration

Get currency configuration of the sales channel.
Parameters
No Parameters
GET
/service/application/configuration/v1.0/currency
Loading...
Response
200
Success. Check the example shown below or refer `AppCurrencyResponse` for more details.
Hide
Response object containing details about currencies related to an application.
application
string
Alphanumeric ID allotted to an application (sales channel website) created within a business account.
default_currency
object (DefaultCurrency)
Show
supported_currency
array of object (Currency)
A list of currencies supported by the application.
Show
_id
string
The unique identifier of the application.
created_at
string
| date-time
ISO 8601 timestamp of when the application was created.
modified_at
string
| date-time
ISO 8601 timestamp of when the application was last modified.
Examples
Parameters
Parameters are not required.
Response
Loading...

Language

The platform supports multiple languages to display products, checkout and other information on the storefront website. Multi-language support helps reach a larger audience and improve conversion rates. Use this resource to get all languages which are available in the application.

Operations
GET
/service/application/configuration/v1.0/languages
# List languages
GET

List languages

List available languages.
Parameters
No Parameters
GET
/service/application/configuration/v1.0/languages
Loading...
Response
200
Success. Check the example shown below or refer `LanguageResponse` for more details.
Hide
Object containing a list of supported languages.
items
array of object (SupportedLanguage)
List of supported languages.
Show
Examples
Parameters
Parameters are not required.
Response
Loading...

Sales Channel

A sales channel, also known as application, enables the seller to list and sell their products. Different types of sales channels are available namely - 1. Storefront websites - create your own custom storefront website with a free or your own domain. 2. Marketplaces integrations - upload product catalog on platform and sync it to external marketplaces like Myntra, Amazaon, Fynd, etc. You can use this resource to retrieve details of the current sales channel. To identify an application, we use the id as the application identifier and the associated token in the header, and then return the corresponding application details.

Operations
GET
/service/application/configuration/v1.0/application
# Get sales channel
GET
/service/application/configuration/v2.0/about
# Get sales channel owner
GET
/service/application/configuration/v1.0/detail
# Get Sales channel
GET
/service/application/configuration/v1.0/token
# Get API tokens
GET
/service/application/configuration/v1.0/feature
# Get sales channel features
GET
/service/application/configuration/v1.0/information
# Get sales channel contact
GET

Get sales channel

Get details of the current sales channel.
Parameters
No Parameters
GET
/service/application/configuration/v1.0/application
Loading...
Response
200
404
Success. Check the example shown below or refer `Application` for more details.
Hide
Details about the sales channel, including its settings, metadata, and associated resources.
website
object (ApplicationWebsite)
Show
cors
object (ApplicationCors)
Show
auth
object (ApplicationAuth)
Show
description
string
It contains detailed information about the sales channel.
channel_type
string
It indicates different channel types like store, website-and-mobile-apps. Default value is store.
cache_ttl
integer
| int32
An integer value that specifies the number of seconds until the key expires.
is_internal
boolean
Indicates whether a sales channel is internal or not.
is_active
boolean
Indicates sales channel is active or not active.
_id
string
The unique identifier of the sales channel.
name
string
Name of the sales channel, e.g. Zenz Fashion.
owner
string
The unique identifier of owner who owns the application.
company_id
integer
| int32
Numeric ID allotted to a business account where the sales channel exists.
token
string
Random generated fix length string for sales channel. It is required and auto-generated.
redirections
array of object (ApplicationRedirections)
List of redirections for the sales channel.
Show
meta
array of object (ApplicationMeta)
List of meta information for the sales channel.
Show
created_at
string
| date-time
ISO 8601 timestamp of sales channel creation.
modified_at
string
| date-time
ISO 8601 timestamp of sales channel updation.
__v
integer
| int32
Version key for tracking revisions. Default value is zero.
banner
object (SecureUrl)
Show
logo
object (SecureUrl)
Show
favicon
object (SecureUrl)
Show
domains
array of object (Domain)
List of domains associated with the sales channel.
Show
app_type
string
It shows application is live or in development mode.
Enum
mobile_logo
object (SecureUrl)
Show
domain
object (Domain)
Show
slug
string
Slug identifier.
mode
string
Application mode.
status
string
Current status of the application.
tokens
array of object (TokenSchema)
List of tokens associated with the sales channel.
Show
Examples
Parameters
Parameters are not required.
Response
Loading...
GET

Get sales channel owner

Get details of the sales channel owner.
Parameters
No Parameters
GET
/service/application/configuration/v2.0/about
Loading...
Response
200
Success. Check the example shown below or refer `ApplicationAboutResponse` for more details.
Hide
Details about the application, including its company, owner, domain, and other relevant properties.
application_info
object (ApplicationInfo)
Show
Examples
Parameters
Parameters are not required.
Response
Loading...
GET

Get Sales channel

Get basic details of the sales channel.
Parameters
No Parameters
GET
/service/application/configuration/v1.0/detail
Loading...
Response
200
Success. Check the example shown below or refer `ApplicationDetail` for more details.
Hide
Details of a specific sales channel including its branding, domain, and associated information.
name
string
Name of the sales channel. It is required.
description
string
It gives a detailed information about the sales channel. It is required.
logo
object (SecureUrl)
Show
mobile_logo
object (SecureUrl)
Show
favicon
object (SecureUrl)
Show
banner
object (SecureUrl)
Show
domain
object (Domain)
Show
domains
array of object (Domain)
List of domains associated with the sales channel.
Show
_id
string
The unique identifier for the sales channel details.
slug
string
URL-friendly version of the sales channel name.
company_id
integer
Numeric ID allotted to the business account where the sales channel is mapped.
Examples
Parameters
Parameters are not required.
Response
Loading...
GET

Get API tokens

Get tools integration token of the sales channel. For example, Firebase, MoEngage, Segment, GTM, Freshchat, Safetynet, Google Map, and Facebook.
Parameters
No Parameters
GET
/service/application/configuration/v1.0/token
Loading...
Response
200
Success. Check the example shown below or refer `AppTokenResponse` for more details.
Hide
Response object containing token information for the application.
tokens
object (Tokens)
Show
_id
string
The unique identifier of the token.
application
string
Alphanumeric ID allotted to the current application created within the current business account.
created_at
string
| date-time
ISO 8601 timestamp of token creation.
modified_at
string
| date-time
ISO 8601 timestamp of token updation.
__v
integer
| int32
Version key for tracking revisions. Default value is zero.
Examples
Parameters
Parameters are not required.
Response
Loading...
GET

Get sales channel features

Get configuration of the features of the sales channel.
Parameters
No Parameters
GET
/service/application/configuration/v1.0/feature
Loading...
Response
200
404
Success. Check the example shown below or refer `AppFeatureResponse` for more details.
Hide
Response schema containing the application feature details.
feature
object (AppFeature)
Show
Examples
Parameters
Parameters are not required.
Response
Loading...
GET

Get sales channel contact

Get contact details of the sales channel.
Parameters
No Parameters
GET
/service/application/configuration/v1.0/information
Loading...
Response
200
Success. Check the example shown below or refer `ApplicationAboutResponse` for more details.
Hide
Contains details about an application, including its name, description, logos, banner, and domain information.
address
object (InformationAddress)
Show
support
object (InformationSupport)
Show
social_links
object (SocialLinks)
Show
links
array of object (Links)
Array of additional relevant web links related to the application.
Show
copyright_text
string
Copyright statement usually seen at the site's footer.
_id
string
Unique identifier of the application information.
business_highlights
array of object (BusinessHighlights)
Array of notable business highlights with icons and descriptions.
Show
application
string
Alphanumeric ID allotted to a sales channel application created within a business account.
created_at
string
| date-time
ISO 8601 timestamp of creation of the application information.
modified_at
string
| date-time
ISO 8601 timestamp of updation of the application information.
__v
integer
| int32
Version key for tracking revisions. Default value is zero.
Examples
Parameters
Parameters are not required.
Response
Loading...

Selling Location

A selling location represents a geographical location where your stores, pop-up stores, headquarters, and warehouses exist. Find in-stock locations for products Additionally, the API retrieves detailed location information by ID, offering comprehensive store details for enhanced user convenience.

Operations
GET
/service/application/configuration/v2.0/ordering-store/stores
# List order-enabled selling locations
GET
/service/application/configuration/v2.0/ordering-store/stores/{store_id}
# Get a selling location
POST
/service/application/configuration/v1.0/ordering-store/select
# Create cookies
DEL
/service/application/configuration/v1.0/ordering-store/select
# Delete store cookie
GET

List order-enabled selling locations

Get details of all the deployment store locations where the sales channel will be used for order placement.
Parameters
page_noquery
integer
The page number to navigate through the given set of results. Default value is 1.
page_sizequery
integer
The number of items to retrieve in each page. Default value is 10.
qquery
string
Store code or name of the ordering store.
GET
/service/application/configuration/v2.0/ordering-store/stores
Loading...
Response
200
404
Success. Check the example shown below or refer `OrderingStores` for more details.
Hide
A collection of ordering stores and their configurations.
page
object (Page)
Show
items
array of object (OrderingStore)
List of ordering stores.
Show
deployed_stores
array of integer
List of all deployed stores.
all_stores
boolean
Allow all stores of the ordering stores.
enabled
boolean
Allow ordering stores for current sales channel.
type
string
For hard type delivery, store selection is compulsory. For soft type, delivery store selection is optional.
Enum
_id
string
The unique identifier of the ordering store.
app
string
Alphanumeric ID allotted to an application (sales channel website) created within a business account.
__v
integer
| int32
Version key for tracking ordering stores. Default value is zero.
Examples
Parameters
q:
"MRVLB01"
Response
Loading...
GET

Get a selling location

Get details of a selling location (store) by its ID.
Parameters
store_idpath
integer
Required
Unique identifier for a store.
GET
/service/application/configuration/v2.0/ordering-store/stores/{store_id}
Loading...
Response
200
404
Success. Check the example shown below or refer `OrderingStore` for more details.
Hide
Represents details of ordering stores, including pagination, list of stores, deployment status, and selection type.
address
object (OptedStoreAddress)
Show
_id
string
The unique identifier of the ordering store.
uid
integer
| int32
Ordering store UID.
name
string
Store name of the ordering store.
display_name
string
Display name of the ordering store.
store_type
string
Store type of the ordering store, e.g. high_street, mall, warehouse.
store_code
string
Store code of the ordering store, e.g. MUM-102.
pincode
string
6-digit PIN Code of the ordering store, e.g. 400001.
code
string
Code of the ordering store (usually same as Store Code).
Response
Loading...
POST

Create cookies

Reset cookie of ordering store.
Parameters
No Parameters
Request body
ordering_store
object (OrderingStoreSelect)
Required
Show
POST
/service/application/configuration/v1.0/ordering-store/select
Loading...
Response
200
400
Success
Hide
Response object containing a success message to confirm the successful completion of an operation.
message
string
Success message shown to the user (in a string format).
Response
Loading...
DEL

Delete store cookie

Delete store cookie.
Parameters
No Parameters
DEL
/service/application/configuration/v1.0/ordering-store/select
Loading...
Response
200
Success
Hide
Response object containing a success message to confirm the successful completion of an operation.
message
string
Success message shown to the user (in a string format).
Examples
Parameters
Parameters are not required.
Response
Loading...

Staff User

Staff User has access to inventory management across all stores within a company. Staff users can view and manage inventory levels for products across different locations.Staff Users can place orders on behalf of customers. that will be delivered to customer address. In scenarios where a customer selects a specific size or shape of a product that is not available in the store they are visiting but is part of the inventory in another store, staff users can place order on behalf of customer that will be fulfilled by other store.

Operations
GET
/service/application/configuration/v1.0/staff/list
# List staff members
GET
/service/application/configuration/v1.0/staff
# Get staff member
GET

List staff members

List all staff members of the sales channel.
Parameters
page_noquery
integer
The page number to navigate through the given set of results. Default value is 1.
page_sizequery
integer
The number of items to retrieve in each page.
order_incentquery
boolean
Select `true` to retrieve the staff members eligible for getting incentives on orders.
ordering_storequery
integer
ID of the ordering store. Helps in retrieving staff members working at a particular ordering store.
userquery
string
ID of the staff. Helps in retrieving the details of a particular staff member.
user_namequery
string
Username of the member.
app_permissionsquery
string
App permissions.
GET
/service/application/configuration/v1.0/staff/list
Loading...
Response
200
400
Success. Check the example shown below or refer `AppStaffListResponse` for more details.
Hide
Object containing paginated staff user information.
page
object (Page)
Show
items
array of object (AppStaff)
List of staff users.
Show
Response
Loading...
GET

Get staff member

Get a staff user including the names, employee code, incentive status, assigned ordering stores, and title of each staff added to the sales channel.
Parameters
order_incentquery
boolean
Select `true` to retrieve the staff members eligible for getting incentives on orders.
ordering_storequery
integer
ID of the ordering store. Helps in retrieving staff members working at a particular ordering store.
userquery
string
ID of the staff. Helps in retrieving the details of a particular staff member.
GET
/service/application/configuration/v1.0/staff
Loading...
Response
200
400
Success. Check the example shown below or refer `AppStaffResponse` for more details.
Hide
Response object containing a list of staff users associated with the application.
staff_users
array of object (AppStaff)
List of staff users.
Show
Response
Loading...